{% extends 'layout/basic.html' %}

{% block title %}
    Вход
{% endblock %}

{% block content %}
    <h2>Вход</h2>
    {% if user.is_authenticated %}
        <p>Вы уже выполнили вход</p>
    {% else %}
        <form method="post">
            {% csrf_token %}
            {{ form.as_p }}
            <input type="hidden" name="next" value="{{ next }}">
            <!-- Это нужно контроллеру(LoginView) для перенаправления, в name по умолчанию нужно указать next, если в поле контроллера redirect_field_name указанно другое, то указываем это другое -->
            <input type="submit" value="Войти">
        </form>
        <a href="{% url 'social:begin' 'vk-oauth2'%}">Войти через вк</a>
    {% endif %}

{% endblock %}